[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / net / coursera-dl

File: [cvs.NetBSD.org] / pkgsrc / net / coursera-dl / Makefile (download)

Revision 1.4, Fri Dec 4 20:45:33 2020 UTC (3 years, 2 months ago) by nia
Branch: MAIN
CVS Tags: pkgsrc-2021Q4-base, pkgsrc-2021Q4, pkgsrc-2021Q3-base, pkgsrc-2021Q3, pkgsrc-2021Q2-base, pkgsrc-2021Q2, pkgsrc-2021Q1-base, pkgsrc-2021Q1, pkgsrc-2020Q4-base, pkgsrc-2020Q4
Changes since 1.3: +2 -2 lines

Revbump packages with a runtime Python dep but no version prefix.

For the Python 3.8 default switch.

# $NetBSD: Makefile,v 1.4 2020/12/04 20:45:33 nia Exp $

DISTNAME=	coursera-dl-0.8.0
MASTER_SITES=	${MASTER_SITE_GITHUB:=coursera-dl/}
GITHUB_TAG=	0.8.0
PKGREVISION=	2
CATEGORIES=	net python

MAINTAINER=	joerg@NetBSD.org
HOMEPAGE=	https://github.com/coursera-dl/coursera-dl
COMMENT=	Download course ressources for Coursera classes
LICENSE=	gnu-lgpl-v3

USE_LANGUAGES=	# none

DEPENDS+=	${PYPKGPREFIX}-beautifulsoup4>=4.1.3:../../www/py-beautifulsoup4
DEPENDS+=	${PYPKGPREFIX}-requests>=2.10.0:../../devel/py-requests
DEPENDS+=	${PYPKGPREFIX}-six>=1.5.0:../../lang/py-six
DEPENDS+=	${PYPKGPREFIX}-urllib3>=1.10:../../www/py-urllib3
DEPENDS+=	${PYPKGPREFIX}-asn1>=0.1.7:../../security/py-asn1
DEPENDS+=	${PYPKGPREFIX}-keyring>=4.0:../../security/py-keyring

PYTHON_SELF_CONFLICT=	yes

PYTHON_VERSIONS_INCOMPATIBLE=	27	# py-keyring

.include "../../lang/python/egg.mk"
.include "../../mk/bsd.pkg.mk"